Subject: Re: [bug#59354] [PATCH] gnu: Add texlive-mathdots.

From: Nicolas Goaziou <[email-masked]>
Date: Sun, 20 Nov 2022 17:46:52 +0100

"yarl baudig" <[email-masked]> writes:

> I saw that "guix import texlive mathdots" doesn't include "#:trivial?
> #t" But I still don't see why it is not effectively a trivial package.
> As I told you, the ".tex" and ".sty" are already in the TUG repo. And
> with the package as I defined it (as trivial), when you build it, you
> get the "mathdots.sty" and "mathdots.tex". No need to compile because,
> whereas there is a ".ins" file, ".sty" and ".tex" are already compiled
> and distributed, along the ".ins". Right?

Whenever possible, Guix builds packages from source, and avoids using
pre-compiled files. In this case, we can generate ".sty" and ".tex"
files, so let's do that. Does that make sense?